using DressAtelierDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        public string ID { get; set; } = string.Empty;

        public int? ClientID { get; set; }

        [DisplayName("Sender's name")]
        public string SenderName { get; set; } = string.Empty;

        [DisplayName("Delivery date")]
        public DateTime DeliveryDate { get; set; }

        [DisplayName("Message subject")]
        public string Subject { get; set; } = string.Empty;

        [DisplayName("Message content")]
        public string Body { get; set; } = string.Empty;
    }
}
